RArray Struct Reference

`#include <ruby.h>`

## Data Fields

struct RBasic | basic
union {
struct {
long len
union {
long capa
VALUE shared
} aux
VALUE * ptr
} heap
VALUE ary [RARRAY_EMBED_LEN_MAX]
} | as

## Detailed Description

Definition at line 691 of file ruby.h.

## Field Documentation

VALUE RArray::ary[RARRAY_EMBED_LEN_MAX]

Definition at line 702 of file ruby.h.

union { ... } RArray::as

Referenced by gc_mark_children().

union { ... } RArray::aux

struct RBasic RArray::basic

Definition at line 692 of file ruby.h.

Referenced by vm_init2().

long RArray::capa

Definition at line 697 of file ruby.h.

struct { ... } RArray::heap

Referenced by gc_mark_children().

long RArray::len

Definition at line 695 of file ruby.h.

VALUE* RArray::ptr

Definition at line 700 of file ruby.h.

VALUE RArray::shared

Definition at line 698 of file ruby.h.

The documentation for this struct was generated from the following file:

- include/ruby/ruby.h